birthdate: '1985-06-13'
discography:
- catalog: N/A
  date: '2008-12-15'
  link: album/9649
  reprint: false
  roles:
  - Arranger (as CN)
  titles:
    en: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja-latn: 'Super Metroid ~Reserve Tank: VARIAtions~'
  type: doujin
featured_on: []
info:
  Birthdate: Jun 13, 1985
  Credited works: 1 albums in database
  Credits: 1 arranger
link: artist/5482
meta:
  added_date: 2008-12-15T23:21
  edited_date: 2008-12-16T02:38
  fetched_date: 2025-12-07T20:15
  ttl: 86400
  visitors: 3300
name: Chris Narvali
notes: No notes available for this artist.
sex: male
type: Individual
vgmdb_link: https://vgmdb.net/artist/5482?perpage=99999
websites:
  Official: []
